Skip to content

Consulte as informações do bloco de conteúdo

get

/content_blocks/info

Use esse ponto de extremidade para chamar informações de seus blocos de conteúdo existentes.

Pré-requisitos

Para usar esse endpoint, você precisará de uma chave de API com a permissão content_blocks.info.

Limite de taxa

Aplicamos o limite de frequência padrão da Braze de 250.000 solicitações por hora a esse endpoint, conforme documentado em Limites de frequência da API.

Parâmetros de solicitação

Exemplo de solicitação

1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/content_blocks/info?content_block_id={{content_block_id}}&include_inclusion_data=false' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

Resposta

1
2
3
4
5
6
7
8
9
10
11
12
13
{
  "content_block_id": (string) the Content Block identifier,
  "name": (string) the name of the Content Block,
  "content": (string) the content in the Content Block,
  "description": (string) the Content Block description,
  "content_type": (string) the content type, html or text,
  "tags": (array) An array of tags formatted as strings,
  "created_at": (string) The time the Content Block was created in ISO 8601,
  "last_edited": (string) The time the Content Block was last edited in ISO 8601,
  "inclusion_count" : (integer) the inclusion count,
  "inclusion_data": (array) the inclusion data,
  "message": "success",
}

Solução de problemas

A tabela a seguir lista os possíveis erros retornados e as etapas de solução de problemas associadas.

New Stuff!